scala.util.parsing.combinator.Parsers

# Failure

#### case class Failure(msg: String, next: Input) extends NoSuccess with Product with Serializable

The failure case of `ParseResult`: contains an error-message and the remaining input. Parsing will back-track when a failure occurs.

msg

  An error message string describing the failure.

next

  The parser's unconsumed input at the point where the failure occurred.

Source
  Parsers.scala

Linear Supertypes
Serializable, Serializable, Product, Equals, NoSuccess, ParseResult[Nothing], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. Failure
2. Serializable
3. Serializable
4. Product
5. Equals
6. NoSuccess
7. ParseResult
8. AnyRef
9. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Failure(msg: String, next: Input)

   msg

     An error message string describing the failure.

   next

     The parser's unconsumed input at the point where the failure occurred.

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types.

   Equivalent to `x.hashCode` except for boxed numeric types. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

6. #### def append[U](a: ⇒ ParseResult[U]): ParseResult[U]

   Definition Classes
     Failure → ParseResult

7. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

8. #### def canEqual(arg0: Any): Boolean

   A method that should be called from every well-designed equals method that is open to be overridden in a subclass.

   A method that should be called from every well-designed equals method that is open to be overridden in a subclass. See Programming in Scala, Chapter 28 for discussion and design.

   returns

     true if this instance can possibly equal `that`, otherwise false

   Definition Classes
     Failure → Equals

9. #### def clone(): AnyRef

   Create a copy of the receiver object.

   Create a copy of the receiver object.

   The default implementation of the `clone` method is platform dependent.

   returns

     a copy of the receiver object.

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()
   Note

     not specified by SLS as a member of AnyRef

10. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    The universal equality method defined in `AnyRef`.

    The universal equality method defined in `AnyRef`.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Failure → Equals → AnyRef → Any

12. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()
    Note

      not specified by SLS as a member of AnyRef

13. #### def flatMapWithNext[U](f: (Nothing) ⇒ (Input) ⇒ ParseResult[U]): ParseResult[U]

    Definition Classes
      NoSuccess → ParseResult

14. #### def get: Nothing

    Returns the embedded result.

    Returns the embedded result.

    Definition Classes
      NoSuccess → ParseResult

15. #### final def getClass(): java.lang.Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

16. #### def getOrElse[B >: Nothing](default: ⇒ B): B

    Definition Classes
      ParseResult

17. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in Any.

    returns

      the hash code value for this object.

    Definition Classes
      Failure → AnyRef → Any

18. #### def isEmpty: Boolean

    Definition Classes
      ParseResult

19. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

20. #### def map[U](f: (Nothing) ⇒ U): NoSuccess

    Functional composition of ParseResults.

    Functional composition of ParseResults.

    f

      the function to be lifted over this result

    returns

      `f` applied to the result of this `ParseResult`, packaged up as a new `ParseResult`

    Definition Classes
      NoSuccess → ParseResult

21. #### def mapPartial[U](f: PartialFunction[Nothing, U], error: (Nothing) ⇒ String): ParseResult[U]

    Partial functional composition of ParseResults.

    Partial functional composition of ParseResults.

    f

      the partial function to be lifted over this result

    error

      a function that takes the same argument as `f` and produces an error message to explain why `f` wasn't applicable (it is called when this is the case)

    returns

      if `f` f is defined at the result in this `ParseResult`, `f` applied to the result of this `ParseResult`, packaged up as a new `ParseResult`. If `f` is not defined, `Failure`.

    Definition Classes
      NoSuccess → ParseResult

22. #### val msg: String

    An error message string describing the failure.

    An error message string describing the failure.

    Definition Classes
      Failure → NoSuccess

23. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

24. #### val next: Input

    The parser's unconsumed input at the point where the failure occurred.

    The parser's unconsumed input at the point where the failure occurred.

    Definition Classes
      Failure → NoSuccess → ParseResult

25. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

26. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

27. #### def productArity: Int

    The size of this product.

    The size of this product.

    returns

      for a product `A(x_1, ..., x_k)`, returns `k`

    Definition Classes
      Failure → Product

28. #### def productElement(arg0: Int): Any

    The nth element of this product, 0-based.

    The nth element of this product, 0-based. In other words, for a product `A(x_1, ..., x_k)`, returns x_(n+1) where 0 < n < k.

    returns

      the element `n` elements after the first element

    Definition Classes
      Failure → Product
    Exceptions thrown
      IndexOutOfBoundsException

29. #### def productIterator: Iterator[Any]

    An iterator over all the elements of this product.

    An iterator over all the elements of this product.

    returns

      in the default implementation, an Iterator[Any]

    Definition Classes
      Product

30. #### def productPrefix: String

    A string used in the `toString` methods of derived classes.

    A string used in the `toString` methods of derived classes. Implementations may override this method to prepend a string prefix to the result of toString methods.

    returns

      in the default implementation, the empty string

    Definition Classes
      Failure → Product

31. #### val successful: Boolean

    Definition Classes
      NoSuccess → ParseResult

32. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

33. #### def toString(): String

    The toString method of a Failure yields an error message.

    The toString method of a Failure yields an error message.

    returns

      a String representation of the object.

    Definition Classes
      Failure → AnyRef → Any

34. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

35. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

36. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws()

### Deprecated Value Members

1. #### def productElements: Iterator[Any]

   Definition Classes
     Product
   Annotations
     @deprecated
   Deprecated

     (Since version 2.8.0) use productIterator instead

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from NoSuccess

### Inherited from ParseResult[Nothing]

### Inherited from AnyRef

### Inherited from Any